Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class ProgressMonitorInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--javax.swing.ProgressMonitorInputStream

public class ProgressMonitorInputStream
extends java.io.FilterInputStream

Monitors the progress of reading from some InputStream. Normally invoked in roughly this form:

     InputStream in = new BufferedInputStream(
               new ProgressMonitorInputStream(
                         parentComponent,
                        "Reading "+fileName,
                         new FileInputStream(fileName)));

This creates a progress monitor to monitor the progress of reading the input stream. If it's taking a while, a ProgressDialog will be popped up to inform the user. If the user hits the Cancel button an InterruptedIOException will be thrown on the next read. All the right cleanup is done when the stream is closed.

See Also:
  `ProgressMonitor`, `JOptionPane`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ProgressMonitorInputStream(java.awt.Component parentComponent, java.lang.Object message, java.io.InputStream in)` Constructs an object to monitor the progress of an input stream.

Method Summary
`void` | `close()` Overrides `FilterInputStream.close` to close the progress monitor as well as the stream.
`ProgressMonitor` | `getProgressMonitor()` Get the ProgressMonitor object being used by this stream.
`int` | `read()` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`int` | `read(byte[] b)` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`int` | `read(byte[] b, int off, int len)` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`void` | `reset()` Overrides `FilterInputStream.reset` to reset the progress monitor as well as the stream.
`long` | `skip(long n)` Overrides `FilterInputStream.skip` to update the progress monitor after the skip.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressMonitorInputStream

    public ProgressMonitorInputStream(java.awt.Component parentComponent,
                                      java.lang.Object message,
                                      java.io.InputStream in)

  Constructs an object to monitor the progress of an input stream.
  Parameters:
    `message` - Descriptive text to be placed in the dialog box if one is popped up.
    `parentComponent` - The component triggering the operation being monitored.
    `in` - The input stream to be monitored.

Method Detail

### getProgressMonitor

    public ProgressMonitor getProgressMonitor()

  Get the ProgressMonitor object being used by this stream. Normally this isn't needed unless you want to do something like change the descriptive text partway through reading the file.
  Returns:
    the ProgressMonitor object used by this object

### read

    public int read()
             throws java.io.IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.
  Overrides:
    read in class java.io.FilterInputStream

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides `FilterInputStream.skip` to update the progress monitor after the skip.
  Overrides:
    skip in class java.io.FilterInputStream

### close

    public void close()
               throws java.io.IOException

  Overrides `FilterInputStream.close` to close the progress monitor as well as the stream.
  Overrides:
    close in class java.io.FilterInputStream

### reset

    public void reset()
               throws java.io.IOException

  Overrides `FilterInputStream.reset` to reset the progress monitor as well as the stream.
  Overrides:
    reset in class java.io.FilterInputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.